package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SslVpnResourceGroupConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnResourceGroupConfigOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("resourcesList")
  @Valid
  private List<String> resourcesList = null;

  public SslVpnResourceGroupConfigOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name of the SSL VPN resource group should contain 1 to 20 characters.
   * @return name
  */
  @ApiModelProperty(required = true, value = "Name of the SSL VPN resource group should contain 1 to 20 characters.")
  @NotNull

@Pattern(regexp="^[\\041-\\0176]$|^[\\041-\\0176][\\040-\\0176]{0,18}[\\041-\\0176]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public SslVpnResourceGroupConfigOpenApiVo resourcesList(List<String> resourcesList) {
    this.resourcesList = resourcesList;
    return this;
  }

  public SslVpnResourceGroupConfigOpenApiVo addResourcesListItem(String resourcesListItem) {
    if (this.resourcesList == null) {
      this.resourcesList = new ArrayList<>();
    }
    this.resourcesList.add(resourcesListItem);
    return this;
  }

  /**
   * Resources ID list of the SSL VPN resource group
   * @return resourcesList
  */
  @ApiModelProperty(value = "Resources ID list of the SSL VPN resource group")


  public List<String> getResourcesList() {
    return resourcesList;
  }

  public void setResourcesList(List<String> resourcesList) {
    this.resourcesList = resourcesList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnResourceGroupConfigOpenApiVo sslVpnResourceGroupConfigOpenApiVo = (SslVpnResourceGroupConfigOpenApiVo) o;
    return Objects.equals(this.name, sslVpnResourceGroupConfigOpenApiVo.name) &&
        Objects.equals(this.resourcesList, sslVpnResourceGroupConfigOpenApiVo.resourcesList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, resourcesList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnResourceGroupConfigOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    resourcesList: ").append(toIndentedString(resourcesList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

